> For the complete documentation index, see [llms.txt](https://developer.sahamati.org.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.sahamati.org.in/onboarding-to-saans/publish-data-to-sahamati/push-metric.md).

# Push metric

### Input Parameters

| Parameter                                                                | Description                                                                                                                                                                                                   |
| ------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| aa\_id                                                                   | entity ID (Same as CR entry)                                                                                                                                                                                  |
| timestamp                                                                | The date and time when the events occurred. The format must follow ISO 8601 (YYYY-MM-DDTHH:MM:SS.mmmZ).                                                                                                       |
| headers                                                                  | The headers of the events data.                                                                                                                                                                               |
| events                                                                   | <p>FIP:AA:UserDiscoveryResponse - User account discover API call                                                                                                                                              |
| <br>FIP:AA:UserLinkingResponse - Account linking API call                |                                                                                                                                                                                                               |
| <br>FIP:AA:UserConfirmLinkingResponse - Confirm Account linking API call |                                                                                                                                                                                                               |
| <br>FIP:AA:ConsentPostResponse - Consent creation API call               |                                                                                                                                                                                                               |
| <br>FIP:AA:FIRequestResponse - FI data request creation API call         |                                                                                                                                                                                                               |
| <br>FIP:AA:FIFetchResponse - Get FI data API call                        |                                                                                                                                                                                                               |
| <br>FIP:AA:UserUnLinkingResponse - User unlinking API call</p>           |                                                                                                                                                                                                               |
| fip\_id                                                                  | The unique identifier for the financial information provider (FIP) that generated the event.                                                                                                                  |
| latency\_avg\_ms                                                         | The average latency for the event, in milliseconds.                                                                                                                                                           |
| success\_percent                                                         | The percentage of successful API calls made in that 10 min time period. Exclude 4xx errors from the total number of API calls when reporting.                                                                 |
| timeout\_percent                                                         | The percentage of API Calls that take longer than 30 seconds to respond.                                                                                                                                      |
| notfound\_percent                                                        | The percentage of events that resulted in a "not found" error. This will be passed ONLY for the discover API. Percent of 404 status codes. For the rest of the events it should be ‘null’                     |
| server\_error\_percent                                                   | The percentage of events that resulted in a server error.                                                                                                                                                     |
| client\_error\_percent                                                   | The percentage of events that resulted in a client error. Exclude 404 error for discover API event (since 404 is being counted as notfound\_percent)                                                          |
| latencyP99\_ms                                                           | Lets say the AA made 100 calls to an FIP in the past 10 mins. Arrange the response times for these calls in ascending order and share the 99th percentile response time(i.e. 99th response time in this case) |
| latencyP95\_ms                                                           | Lets say the AA made 100 calls to an FIP in the past 10 mins. Arrange the response times for these calls in ascending order and share the 95th percentile response time(i.e. 95th response time in this case) |
| latencyP50\_ms                                                           | Lets say the AA made 100 calls to an FIP in the past 10 mins. Arrange the response times for these calls in ascending order and share the 50th percentile response time(i.e. 50thresponse time in this case)  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.sahamati.org.in/onboarding-to-saans/publish-data-to-sahamati/push-metric.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
